### Signal

# Atk Value::value-changed

since: 2.12

#### Declaration

    void
    value_changed (
      AtkValue* self,
      gdouble value,
      gchar* text,
      gpointer user_data
    )

#### Description [src]

The ‘value-changed’ signal is emitted when the current value that represent the object changes. `value` is the numerical representation of this new value. `text` is the human readable text alternative of `value`, and can be NULL if it is not available. Note that if there is a textual description associated with the new numeric value, that description should be included regardless of whether or not it has also changed.

Example: a password meter whose value changes as the user types their new password. Appropiate value text would be “weak”, “acceptable” and “strong”.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.12

#### Parameters

`value`

  Type: `gdouble`

  The new value in a numerical form.

`text`

  Type: `gchar*`

  Human readable text alternative (also called description) of this object. NULL if not available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.